package com.swago.baseswago.model.im;

import androidx.annotation.NonNull;

import com.swago.baseswago.im.IRoomChat;
import com.swago.baseswago.im.RoomMsgType;

/**
 * @date 2022/2/14 22:12
 * description:
 */
public class RoomSystemMsgBean implements IRoomChat {

   private String broadcast_notice_content;

   @NonNull
   @Override
   public String getSenderName() {
      return "";
   }

   @NonNull
   @Override
   public String getMsgContent() {
      return broadcast_notice_content;
   }

   @Override
   public int getMsgType() {
      return RoomMsgType.SYSTEM_MESSAGE;
   }

   @Override
   public int getUserLevel() {
      return 0;
   }

   @Override
   public int getIsBenefit() {
      return 0;
   }

   public String getBroadcast_notice_content() {
      return broadcast_notice_content;
   }

   public void setBroadcast_notice_content(String broadcast_notice_content) {
      this.broadcast_notice_content = broadcast_notice_content;
   }

   @NonNull
   @Override
   public String getSenderId() {
      return "";
   }
}
